SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000879SiT!incidentspublic2009-08-16 14:372011-05-13 16:45
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent SVN 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000879: incident_add.php finds incorrect details
DescriptionWhen searching for a contact to log the incident against it can bring back the person you search for plus others, with completely different names, will post examples in a moment as a private note
TagsNo tags attached.
Attached Files

- Relationships
related to 0001040resolvedivan Unable to add incident when contacts name is in Cryillic 
parent of 0001097acknowledged User preference to turn off SOUNDEX searching 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0002395)
ivan (administrator)
2010-02-20 11:21

Maybe we should have an option to turn soundex on/off ?

To me your example seems perfectly valid they do kinda sound similar. (to me at least)
User avatar (0002400)
paulh (administrator)
2010-02-20 16:02

Not really sure they sound the same to me though obviously it is to SOUNDEX

Could be useful to have an option to turn it off?
User avatar (0002538)
ivan (administrator)
2010-02-28 17:52

SOUNDEX should only be enabled for English languages so we should check the configured system language (and possibly user language too?) before using this. As well as a user setting.
User avatar (0003781)
ivan (administrator)
2011-05-13 16:36

Git e2a3dbc resolves this by only using SOUNDEX when English is configured as a system language.

- Issue History
Date Modified Username Field Change
2009-08-16 14:37 paulh New Issue
2010-02-20 11:21 ivan Note Added: 0002395
2010-02-20 11:44 ivan Status new => feedback
2010-02-20 16:02 paulh Note Added: 0002400
2010-02-21 21:33 ivan Relationship added parent of 0001097
2010-02-21 21:34 ivan Status feedback => confirmed
2010-02-21 21:35 ivan Target Version => 4.0
2010-02-28 17:51 ivan Relationship added related to 0001040
2010-02-28 17:52 ivan Note Added: 0002538
2011-02-14 13:25 ivan Target Version 4.0 => 3.90beta1
2011-05-13 16:22 ivan Assigned To => ivan
2011-05-13 16:22 ivan Status confirmed => assigned
2011-05-13 16:36 ivan Note Added: 0003781
2011-05-13 16:45 ivan Status assigned => resolved
2011-05-13 16:45 ivan Fixed in Version => Current GIT
2011-05-13 16:45 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker